%define realname IO-stringy
%define upstream_version 2.111

Summary:	Perl module for I/O on in-core objects like strings and arrays

Name:		perl-%{realname}
Version:	%perl_convert_version %{upstream_version}
Release:	1
License:	Artistic/GPLv2
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{realname}/
Source0:	ftp://ftp.perl.org:21/pub/CPAN/modules/by-module/IO/IO-stringy-%{upstream_version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl-devel
BuildRequires:	perl

%description
This toolkit primarily provides modules for performing both traditional
and object-oriented i/o) on things *other* than normal filehandles; in
particular, the IO::Scalar manpage, the IO::ScalarArray manpage, and the
IO::Lines manpage.

If you have access to tie(), these classes will make use of the the
IO::WrapTie manpage module to inherit a convenient new_tie()
constructor. It also exports a nice wraptie() function.

In the more-traditional IO::Handle front, we have the IO::AtomicFile
manpage which may be used to painlessly create files which are updated
atomically.

And in the "this-may-prove-useful" corner, we have the IO::Wrap manpage,
whose exported wraphandle() function will clothe anything that's not a
blessed object in an IO::Handle-like wrapper... so you can just use OO
syntax and stop worrying about whether your function's caller handed you
a string, a globref, or a FileHandle.

%prep
%setup -q -n %{realname}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc README
%{perl_vendorlib}/IO
%{_mandir}/man3/*

%changelog

* Wed Jul 01 2015 dsilakov <denis.silakov@rosalab.ru> 2.111.0-1
- (f03b3f4) Merge pull request #1 from import/perl-IO-stringy:auto_update
- (f03b3f4) Updated to 2.111 (by updates_builder)


